Subject: Re: IPSec broken in 2.6.18-rc4-mm3

From: Patrick McHardy <[email-masked]>
Date: Sat, 09 Sep 2006 15:56:46 +0200

Gnome42 Gnome42 wrote:
> On 9/8/06, Patrick McHardy <[email-masked]> wrote:
>>
>> Can you see the decrypted packets on the incoming interface on the
>> other side?
> 
> 
> No, not the decrypted ones only the encrypted ones. I never see the
> decrypted packets. ( I should see them twice right? Once encrypted and
> once decrypted?)

Yes.

>> Please post your policies and related SAs from both sides.
>> Are you using NAT, iptables or anything like that?
> 
> 
> [...]
> ... or did you mean dumps from setkey -D[P]?

Yes, I meant the SAs. But please use "ip -s xfrm state" and "ip -s xfrm
policy" (on both sides), they include a bit more information than
setkey.